<?php

namespace App\Models\Enums;

enum GrowthPetAffectEnum: string
{
    case JIJOONG_WARRIOR = 'JIJOONG_WARRIOR';
    case JIJOONG_SURA = 'JIJOONG_SURA';
    case JIJOONG_ASSASSIN = 'JIJOONG_ASSASSIN';
    case JIJOONG_SHAMAN = 'JIJOONG_SHAMAN';
    case PACHEON = 'PACHEON';
    case BANYA = 'BANYA';
    case CHEONRYEONG = 'CHEONRYEONG';
    case CHOEHOENBIMU = 'CHOEHOENBIMU';
    case HEAL = 'HEAL';
    case STEALHP = 'STEALHP';
    case STEALMP = 'STEALMP';
    case BLOCK = 'BLOCK';
    case REFLECT_MELEE = 'REFLECT_MELEE';
    case GOLD_DROP = 'GOLD_DROP';
    case BOW_DISTANCE = 'BOW_DISTANCE';
    case INVINCIBILITY = 'INVINCIBILITY';
    case REMOVAL = 'REMOVAL';
    case POTION = 'POTION';
    case MOB_BONUS = 'MOB_BONUS';
    case EXP = 'EXP';
    case HP_RECOVER = 'HP_RECOVER';
    case FEATHER = 'FEATHER';
}
